Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 607110 - Issue Tracker doesn't escape HTML special characters
Issue Tracker doesn't escape HTML special characters
Status: CLOSED WONTFIX
Product: Issue-Tracker
Classification: Retired
Component: Other (Show other bugs)
AMS Backlog
All All
medium Severity medium
: ---
: ---
Assigned To: Support Portal Development
TrackerBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 05:25 EDT by GSS Tools User
Modified: 2011-01-07 14:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 12:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GSS Tools User 2010-06-23 05:25:47 EDT
Takayoshi Kimura
tkimura@redhat.com

Description:
In issue description (possibly in issue subject), HTML special characters like '<>&' display as is. XML code is invisible or broken. It should be escaped when output.

Steps to Reproduce:
Here is example case:

https://access.redhat.com/issue-tracker/?module=issues&action=view&tid=1047113&gid=1354
Comment 1 Andrew Hecox 2010-06-23 10:15:07 EDT
hello Takayoshi-san,

is this something new or did Issue-Tracker have this problem when the portal launched?
Comment 2 Takayoshi Kimura 2010-06-23 10:24:11 EDT
It's new issue with new CSP. The old Issue-Tracker shows them correctly.
Comment 3 Andrew Hecox 2010-06-23 10:43:33 EDT
I'll file this to the CSP then, thank you.

Both you and your customers should be able to continue using I-T if you wish.
Comment 4 Shaun Appleton 2010-07-02 04:42:05 EDT
As a (not nice) workaround you can view the page source.
Comment 6 Tom Mirc 2010-07-15 12:21:19 EDT
CSP ticketing will be replaced on August 2nd with the new Customer Portal ticketing interface.

Closing this bug as a wontfix, as the CSP ticketing UI/character display issue will be irrelevant after August 2nd, and that's the 1st available release window.

Note You need to log in before you can comment on or make changes to this bug.